# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution   
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from osv import fields, osv

class bank_statement_type(osv.osv):
    _name = 'account.bank_statement_type'
    _description = 'Bank Statement Type'
    _inherit = ['mail.thread']

    def default_line_ignore(self, cr, uid, context={}):
        return 0

    def default_cleanup_method(self, cr, uid, context={}):
        return 'line'

    def default_row_reading_method(self, cr, uid, context={}):
        return 'index'

    def default_amount_reading_method(self, cr, uid, context={}):
        return 'single'


    _columns =  {
                'name' : fields.char(string='Name', size=100, required=True),
                'cleanup_method' : fields.selection(string='Cleanup Method', selection=[('line','Number of line(s)'),('method','Python Method'),('custom','Custom Method')], required=True),
                'line_ignore' : fields.integer(string='Number of line(s) to ignore', required=False),
                'csv_cleanup_function' : fields.char(string='CSV Cleanup Function', size=255, required=False),
                'custom_cleanup_code' : fields.text(string='Custom Cleanup Code'),

                'row_reading_method' : fields.selection(string='Row Reading Method', selection=[('index','Index'),('method','Python Method'),('custom','Custom Method')], required=True),

                'date_index' : fields.integer(string='Date Index'),
                'name_index' : fields.integer(string='Description Index'),

                'amount_reading_method' : fields.selection(string='Amount Reading Method', selection=[('single1','Single Column. Use transaction type column'),('single2','Single column. Use sign'),('dual','Dual Column')]),

                # SINGLE1
                'transaction_type_index' : fields.integer(string='Transaction Type Index'),
                'dr_value' : fields.char(string='Debit Type Value', size=50),
                'cr_value' : fields.char(string='Credit Type Value', size=50),

                # DUAL
                'dr_index' : fields.integer(string='Debit Index'),
                'cr_index' : fields.integer(string='Credit Index'),
                'amount_index' : fields.integer(string='Amount Index'),

                'csv_read_row_function' : fields.char(string='CSV Read Function', size=255, required=False),
                'custom_read_row_code' : fields.text(string='Custom Row Reading Code'),
                }

    _defaults = {
                'cleanup_method' : default_cleanup_method,
                'line_ignore' : default_line_ignore,
                'row_reading_method' : default_row_reading_method,
                }


    def _check_line_value(self, cr, uid, id):
        bank_statement_type = self.browse(cr, uid, [id])[0]

        if bank_statement_type.cleanup_method != 'line':
            return True

        if bank_statement_type.line_ignore < 0:
            raise osv.except_osv(_('Warning!'),_('Line(s) to be ignore can not smaller than 0'))
            return False

        return True





bank_statement_type()



