# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution   
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from osv import fields, osv

class account_account(osv.osv):
    _name = 'account.account'
    _inherit = 'account.account'

    _columns =  {
                'voucher_type_with_journal_item_ids' : fields.many2many(string='Journal Item Require', obj='account.voucher_type', rel='rel_account_voucher_type_journal_item', id1='account_id', id2='voucher_type_id'),
                'voucher_type_restriction_ids' : fields.one2many(string='Voucher Type Restriction', obj='account.voucher_type_restriction', fields_id='account_id'),
                }


    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        obj_restriction = self.pool.get('account.voucher_type_restriction')
        obj_user = self.pool.get('res.users')

        ids1 = []


        voucher_type_id = False
        journal_id = False

        if context is None:
            context = {}

        pos = 0

        while pos < len(args):
            if args[pos][0] == 'voucher_type_id' : 
                if not args[pos][2]:
                    del args[pos]
                    continue

                voucher_type_id = args[pos][2]
                del args[pos]

            if args[pos][0] == 'journal_id' : 
                if not args[pos][2]:
                    del args[pos]
                    continue

                journal_id = args[pos][2]
                del args[pos]
            
            pos += 1

        if voucher_type_id and journal_id:
            user = obj_user.read(cr, uid, [uid], ['groups_id'])[0]

            criteria = [('voucher_type_id','=',voucher_type_id),'|',('journal_id','=',False),('journal_id','=',journal_id),'|',('group_ids','=',False),('group_ids','in',user['groups_id'])]


            restriction_ids = obj_restriction.search(cr, uid, criteria)


            if restriction_ids:
                for restriction in obj_restriction.browse(cr, uid, restriction_ids):
                    ids1.append(restriction.account_id.id)

            args.append(('id', 'not in', ids1))



        ids = super(account_account, self).search(cr, uid, args, offset, limit, order, context, count)
       

        return ids

    def _check_allow_code_change(self, cr, uid, ids, context=None):
        # line_obj = self.pool.get('account.move.line')
        # for account in self.browse(cr, uid, ids, context=context):
        #     account_ids = self.search(cr, uid, [('id', 'child_of', [account.id])], context=context)
        #     if line_obj.search(cr, uid, [('account_id', 'in', account_ids)], context=context):
        #         raise osv.except_osv(_('Warning !'), _("You cannot change the code of account which contains journal items!"))
        return True

    def write(self, cr, uid, ids, values, context=None):
        return super(account_account, self).write(cr, uid, ids, values, context)




                       
account_account()                           

class account_voucher_type_restriction(osv.osv):
    _name = 'account.voucher_type_restriction'
    _description = 'Account Voucher Type Restriction'

    _columns =  {
                'account_id' : fields.many2one(string='Account', obj='account.account', required=True),
                'voucher_type_id' : fields.many2one(string='Voucher Type', obj='account.voucher_type', required=True),
                'journal_id' : fields.many2one(string='Journal', obj='account.journal'),
                'group_ids' : fields.many2many(string='Groups', obj='res.groups', rel='rel_voucher_type_restriction_account', id1='voucher_type_restriction_id', id2='group_id'),
                }

account_voucher_type_restriction()
    
