# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution   
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from osv import fields, osv
import openerp.addons.decimal_precision as dp

class account_journal(osv.osv):
    _name = 'account.journal'
    _inherit = 'account.journal'

    _columns =  {
                'cash_method' : fields.selection(string='Cash Method', selection=[('imprest','Imprest'),('fluktuation','Fluktuation')]),
                'budget_amount' : fields.float(string='Budget Amount', digits_compute=dp.get_precision('Account')),
                'minimum_amount' : fields.float(string='Minimum Amount', digits_compute=dp.get_precision('Account')),

                'petty_cash_account_id' : fields.many2one(string='Petty Cash Account', obj='account.account', ondelete='restrict'),
                'temporary_cash_account_id' : fields.many2one(string='Temporary Cash Account', obj='account.account', ondelete='restrict'),
                'temporary_income_account_id' : fields.many2one(string='Temporary Income Account', obj='account.account', ondelete='restrict'),
                'temporary_expense_account_id' : fields.many2one(string='Temporary Expense Account', obj='account.account', ondelete='restrict'),
                'source_account_id' : fields.many2one(string='Source Account', obj='account.account', ondelete='restrict'),
                'source_journal_id' : fields.many2one(string='Source Journal', obj='account.journal',
                    ondelete='cascade'),
                'sequence_in_id' : fields.many2one(string='In Sequence', obj='ir.sequence'),
                'sequence_out_id' : fields.many2one(string='Out Sequence', obj='ir.sequence'),

                'allowed_group_ids' : fields.many2many(string='Allowed Groups', obj='res.groups', rel='rel_journal_2_group', id1='journal_id', id2='group_id'),

                }


    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):

        if context is None:
            context = {}

        if context.get('restrict_group', False):
            obj_user = self.pool.get('res.users')
            user = obj_user.read(cr, uid, [uid], ['groups_id'])[0]
            group_ids = tuple(user['groups_id'])

            strSQL =    """
                        SELECT  a.journal_id
                        FROM rel_journal_2_group AS a
                        WHERE   a.group_id in %s
                        """ % (str(group_ids))

            cr.execute(strSQL)
            result = cr.fetchall()
            journal_ids = []
            if result:
                for res in result:
                    journal_ids.append(res[0])

            args.append(('id','in',journal_ids))

        ids = super(account_journal, self).search(cr, uid, args, offset, limit, order, context, count)

        return ids
                       
account_journal()                           
    
