# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution   
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from osv import fields, osv

class account_tax(osv.osv):
    _name = 'account.tax'
    _inherit = 'account.tax'

    def _default_base_amount_rounding_method(self, cr, uid, context={}):
        return 'currency'

    def _default_base_amount_in_company_currency_rounding_method(self, cr, uid, context={}):
        return 'currency'

    def _default_tax_amount_in_company_currency_rounding_method(self, cr, uid, context={}):
        return 'currency'

    _columns =  {
                'account_receipt_id' : fields.many2one(string='Receipt Account', obj='account.account',
                    ondelete='restrict'),
                'account_imprest_receipt_id' : fields.many2one(string='Imprest Receipt Account', obj='account.account',
                    ondelete='restrict'),
                'account_payment_id' : fields.many2one(string='Payment Account', obj='account.account',
                    ondelete='restrict'),
                'account_imprest_payment_id' : fields.many2one(string='Imprest Payment Account', obj='account.account',
                    ondelete='restrict'),
                'base_amount_rounding_method' : fields.selection(string='Base Amount Currency Rounding Method',
                    selection=[('currency','Currency Rounding'),('python','Python Code')], required=True),
                'base_amount_rounding_code' : fields.text(string='Base Amount Currency Rounding Code'),
                'base_amount_in_company_currency_rounding_method' : fields.selection(string='Base Amount In Company Currency Rounding Method',
                    selection=[('currency','Currency Rounding'),('python','Python Code')], required=True),
                'base_amount_in_company_currency_rounding_code' : fields.text(string='Base Amount In Company Currency Rounding Code'),
                'tax_amount_in_company_currency_rounding_method' : fields.selection(string='Tax Amount In Company Currency Rounding Method',
                    selection=[('currency','Currency Rounding'),('python','Python Code')], required=True),
                'tax_amount_in_company_currency_rounding_code' : fields.text(string='Tax Amount In Company Currency Rounding Code'),
                }

    _defaults =  {
                'base_amount_rounding_method' : _default_base_amount_rounding_method,
                'base_amount_in_company_currency_rounding_method' : _default_base_amount_in_company_currency_rounding_method,
                'tax_amount_in_company_currency_rounding_method' : _default_tax_amount_in_company_currency_rounding_method,
                }
                

account_tax()




