# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution   
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from osv import fields, osv

class res_company(osv.osv):
    _name = 'res.company'
    _inherit = 'res.company'

    def _default_exchange_rate_method(self, cr, uid, context={}):
        return 'indirect'

    def _default_multi_currency_treatment(self, cr, uid, context={}):
        return 'fixed'

    _columns =  {
                'account_writeoff_id' : fields.many2one(string='Default Write-Off Account', obj='account.account', domain=['|',('type','!=','view'),('type','!=','closed'),('type','!=','consolidation')]),
                'sequence_bank_reconcilliation_id' : fields.many2one(string='Sequence Bank Reconcilliation', obj='ir.sequence'),
                'sequence_cash_opname_id' : fields.many2one(string='Sequence Cash Opname', obj='ir.sequence'),
                'sales_account_type_ids' : fields.many2many(string='Sales Account Type', obj='account.account.type', rel='rel_company_sales_account_type', id1='company_id', id2='account_type_id'),
                'production_expenses_account_type_ids' : fields.many2many(string='Production Expenses Account Type', obj='account.account.type', rel='rel_company_production_expenses_account_type', id1='company_id', id2='account_type_id'),
                'operation_expenses_account_type_ids' : fields.many2many(string='Operation Expenses Account Type', obj='account.account.type', rel='rel_company_operation_expenses_account_type', id1='company_id', id2='account_type_id'),
                'exchange_rate_method' : fields.selection(string='Exchange Rate Method', selection=[('direct','Direct'),('indirect','Indirect')], required=True),
                'multi_currency_treatment' : fields.selection(string='Multi Currency Treatment', selection=[('fixed','Fixed Rate'),('average','Average')], required=True),
                }

    _defaults = {
                'exchange_rate_method' : _default_exchange_rate_method,
                'multi_currency_treatment' : _default_multi_currency_treatment,
                }

res_company()




