# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from osv import osv,fields
from tools.translate import _

class wizard_change_analytic_plan_instance(osv.osv_memory):
    _name = 'account.wizard_change_analytic_plan_instance'
    _description = 'Wizard Change Analytic Plan Instance'

    _columns =  {
                'analytic_plan_id' : fields.many2one(string='Analytic Distribution', obj='account.analytic.plan.instance', required=True),
                }

    def change_analytic_plan(self, cr, uid, ids, context=None):
        obj_move_line = self.pool.get('account.move.line')

        move_line_ids = context.get('active_ids', False)

        wizard = self.browse(cr, uid, ids)[0]

        if not move_line_ids:
            raise osv.except_osv(_('Warning!'),_('No journal item selected'))
            return False

        obj_move_line.write(cr, uid, move_line_ids, {'analytics_id': wizard.analytic_plan_id.id})

        obj_move_line.create_analytic_lines(cr, uid, move_line_ids)

        return True

        
wizard_change_analytic_plan_instance()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

