# -*- encoding: utf-8 -*-
##############################################################################
#    
#    Copyright (C) 2011 OpenERP Italian Community (<http://www.openerp-italia.org>). 
#    All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from report import report_sxw
from datetime import datetime

class Parser(report_sxw.rml_parse):

    def __init__(self, cr, uid, name, context):
        super(Parser, self).__init__(cr, uid, name, context)
        self.data_list = []

        self.localcontext.update({
                                    'get_company_name' : self.get_company_name,
                                    'get_date_as_of' : self.get_date_as_of,
                                    'get_currency_type' : self.get_currency_type,
                                    })

    def get_company_name(self):
        obj_company = self.pool.get('res.company')
        company_id = self.localcontext['data']['form']['company_id'][0]

        company = obj_company.browse(self.cr, self.uid, [company_id])[0]

        return company.name

    def get_date_as_of(self):
        return datetime.strptime(self.localcontext['data']['form']['date_as_of'], '%Y-%m-%d').strftime('%d/%m/%Y')

    def get_currency_type(self):
        if self.localcontext['data']['form']['currency_type'] == 'base':
            return 'Base Currency'
        else:
            return 'Respective Currency'






                            








            

