# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution   
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from osv import fields, osv

class klik_bca_statement(osv.osv):
    _name = 'account.klik_bca_statement'
    _description = 'Klik BCA Statement'

    _columns =  {
                'name' : fields.char(string='Description', size=255, required=True),
                'date' : fields.date(string='Date', required=True),
                'branch' : fields.char(string='Branch', size=50, required=True),
                'type' : fields.selection(string='Type', selection=[('DR','Debit'),('CR','Credit')], required=True),
                'amount' : fields.float(string='Amount', required=True),
                'import_bank_statement_id' : fields.many2one(string='Import Bank Statement', obj='account.import_bank_statement')
                }


klik_bca_statement()



