# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
{
    'name' : 'KOI Accounting - Accounting On Screen Query',
    'version' : '1.1',
    'author' : 'Kawula OpenERP Indonesia; Andhitia Rama & Michael Viriyananda',
    'category' : 'Accounting',
    'summary' : 'On-Screen Report for KOI Accounting Application',
    'description' : """
Available Query :

1. General Ledger
2. Balance Sheet
3. Income Statement
4. Trial Balance
5. Cash In/Out
6. Bank In/Out
7. Receivable Aging
8. Sales Detail
9. Payable Aging
10. Expenses Detail
11. Accrued Expenses Detail
12. Accrued Income Detail
    """,
    'website': 'http://kawulaopenerpindonesia.wordpress.com http://andhitiarama.wordpress.com',
    'images' : [],
    'depends' : [   'ar_account'
                ],
    'data' : [
                'security/ir.model.access.csv',
                'security/data_GroupsMenuAccess.xml',
                'report/query_cash_in_out.xml',
                'report/query_cash_voucher_line.xml',
                'report/query_bank_in_out.xml',
                'report/query_general_ledger.xml',
                'report/query_reconcilable_journal_items.xml',
                'report/query_trial_balance.xml',
                'report/query_receivable_aging.xml',
                'report/query_payable_aging.xml',
                'report/query_balance_sheet.xml',
                'report/query_income_statement.xml',
                'report/query_sales_detail.xml',
                'report/query_expenses_detail.xml',
                'report/query_accrued_income.xml',
                'report/query_accrued_expense.xml',
                'report/query_bank_reconcilliation.xml',
                'report/query_cash_opname.xml',
                'report/query_uncleared_bank_cash.xml',
                'report/query_cheque_giro.xml',
                'wizard/wizard_query_general_ledger.xml',
                'wizard/wizard_query_balance_sheet.xml',
                'wizard/wizard_query_income_statement.xml',
                'wizard/wizard_query_trial_balance.xml',
                'wizard/wizard_query_receivable_aging.xml',
                'wizard/wizard_query_payable_aging.xml',
                'wizard/wizard_query_sales_detail.xml',
                'wizard/wizard_query_expenses_detail.xml',
                'wizard/wizard_query_accrued_income.xml',
                'wizard/wizard_query_accrued_expense.xml',
                'wizard/wizard_query_bank_reconcilliation.xml',
                'wizard/wizard_query_cash_opname.xml',
                'wizard/wizard_query_uncleared_bank_cash.xml',
                'wizard/wizard_query_cash_in_out.xml',
                'wizard/wizard_query_bank_in_out.xml',
                'wizard/wizard_query_cash_voucher_line.xml',
                'wizard/wizard_query_bank_voucher_line.xml',
                'wizard/wizard_bank_in_out_account.xml',
                'wizard/wizard_query_cheque_giro.xml',
                'wizard/wizard_query_aged_receivable.xml',
                'wizard/wizard_query_account_receivable.xml',
                'wizard/wizard_query_account_receivable_card.xml',
                'menu/menu_Accounting.xml',
                 ],
    'js' : [],
    'qweb' : [],
    'css' : [],
    'demo ': [],
    'test': [],
    'installable': True,
    'auto_install': False,
    'application' : True,
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
