# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import tools
from osv import fields,osv


class query_account_receivable_base_currency(osv.osv):

    _name = 'account.query_account_receivable_base_currency'
    _description = 'Query Account Receivable Base Currency'
    _auto = False



    _columns =  {
                'partner_id' : fields.many2one(string='Partner', obj='res.partner'),
                'base_currency_id' : fields.many2one(string='Base Currency', obj='res.currency'),
                }

    def init(self, cr):
        tools.drop_view_if_exists(cr, 'account_query_account_receivable_base_currency')
        strSQL =    """
                    CREATE OR REPLACE VIEW account_query_account_receivable_base_currency AS (
                        SELECT DISTINCT
                                a.partner_id AS partner_id,
                                a.base_currency_id AS base_currency_id
                        FROM    
                                account_query_receivable_aging AS a
                    )
                    """
        
        
        cr.execute(strSQL)






query_account_receivable_base_currency()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
