# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import tools
from osv import fields,osv

_STATE =    [
            ('new', 'New'),
            ('outstanding','Outstanding'),
            ('void', 'Void'),
            ('cleared', 'Cleared'),
            ('cancelled', 'Cancelled'),
            ]

_TYPE = [
        ('in', 'In'),
        ('out', 'Out'),
        ]

class query_cheque_giro(osv.osv):

    _name = 'account.query_cheque_giro'
    _description = 'Query Cheque/Giro'
    _auto = False
    _order = 'cheque_date,id'
    _columns =  {
                'journal_id' : fields.many2one(string='Journal', obj='account.journal'),
                'cheque_number' : fields.char(string='Cheque Number'),
                'cheque_date' : fields.date(string='Cheque Date'),
                'name' : fields.char(string='Description'),
                'currency_id' : fields.many2one(string='Currency', obj='res.currency'),
                'amount' : fields.float(string='Amount'),
                'number' : fields.char(string='# Voucher'),
                'state' : fields.selection(string='State', selection=_STATE),
                'type' : fields.selection(string='Type', selection=_TYPE),
                'company_id' : fields.many2one(string='Company', obj='res.company'),

                }

    def init(self, cr):
        tools.drop_view_if_exists(cr, 'account_query_cheque_giro')
        strSQL =    """
                    CREATE OR REPLACE VIEW account_query_cheque_giro AS (
                        SELECT
                                a.id AS id,
                                a.journal_id AS journal_id,
                                a.cheque_number AS cheque_number,
                                a.cheque_date AS cheque_date,
                                a.name AS name,
                                CASE
                                    WHEN b.currency IS NULL THEN d.currency_id
                                    ELSE b.currency
                                END as currency_id,
                                a.amount AS amount,
                                a.number AS number,
                                CASE
                                    WHEN a.state = 'proforma' THEN 'outstanding'
                                    WHEN a.state = 'posted' THEN 'cleared'
                                    WHEN a.state = 'cancel' THEN 'void'
                                    ELSE 'new'
                                END AS state,
                                CASE 
                                    WHEN c.name = 'Bank Payment' THEN 'out'
                                    WHEN c.name = 'Bank Receipt' THEN 'in'
                                END AS type,
                                a.company_id AS company_id
                        FROM    account_voucher AS a
                        JOIN    account_journal AS b ON a.journal_id = b.id
                        JOIN    account_voucher_type AS c ON a.voucher_type_id = c.id
                        JOIN    res_company AS d on a.company_id = d.id
                        WHERE
                                c.name = 'Bank Payment' OR c.name = 'Bank Receipt'

                   )
                    """
        
        
        cr.execute(strSQL)






query_cheque_giro()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
